From: Ole Streicher <olebole@debian.org>
Date: Tue, 2 Aug 2016 09:06:36 +0200
Subject: Don't install the fonts included in the package.

Use the package roboto-fonts-unhinted instead.
---
 ginga/fonts/font_asst.py | 19 ++++++++++++-------
 ginga/opengl/GlHelp.py   |  4 ++--
 2 files changed, 14 insertions(+), 9 deletions(-)

diff --git a/ginga/fonts/font_asst.py b/ginga/fonts/font_asst.py
index 4bc1314..81b5cf7 100644
--- a/ginga/fonts/font_asst.py
+++ b/ginga/fonts/font_asst.py
@@ -132,18 +132,23 @@ def set_scale_factor(key, factor):
 
 # --- Set up bundled fonts ---
 
-fontdir, xx = os.path.split(__file__)
+fontdir = '/usr/share/fonts/truetype/'
 
-add_font(os.path.join(fontdir, 'Roboto', 'Roboto-Regular.ttf'),
+add_font(os.path.join(fontdir, 'roboto', 'unhinted', 'RobotoTTF', 'Roboto-Regular.ttf'),
          font_name='roboto')
-add_font(os.path.join(fontdir, 'Roboto_Condensed', 'RobotoCondensed-Regular.ttf'),
+add_font(os.path.join(fontdir, 'roboto', 'unhinted', 'RobotoCondensed-Regular.ttf'),
          font_name='roboto condensed')
-add_font(os.path.join(fontdir, 'Ubuntu_Mono', 'UbuntuMono-Regular.ttf'),
-         font_name='ubuntu mono')
 
 # house font needs to be available
-add_alias('house', 'ubuntu mono')
-add_alias('fixed', 'ubuntu mono')
+if os.path.exists(os.path.join(fontdir, 'ubuntu', 'UbuntuMono-Regular.ttf')):
+    add_font(os.path.join(fontdir, 'ubuntu', 'UbuntuMono-Regular.ttf'),
+             font_name='ubuntu mono')
+    add_alias('house', 'ubuntu mono')
+    add_alias('fixed', 'ubuntu mono')
+else:
+    add_alias('house', 'roboto')
+    add_alias('fixed', 'roboto')
+
 add_alias('sans', 'roboto')
 add_alias('sans serif', 'roboto')
 add_alias('sans condensed', 'roboto condensed')
diff --git a/ginga/opengl/GlHelp.py b/ginga/opengl/GlHelp.py
index e2dc57a..41ca9de 100644
--- a/ginga/opengl/GlHelp.py
+++ b/ginga/opengl/GlHelp.py
@@ -13,8 +13,8 @@ import ginga.fonts
 from ginga.canvas import transform
 
 # Set up known fonts
-fontdir, xx = os.path.split(ginga.fonts.__file__)
-known_font = os.path.join(fontdir, 'Roboto', 'Roboto-Regular.ttf')
+fontdir = '/usr/share/fonts/truetype/'
+known_font = os.path.join(fontdir, 'roboto', 'hinted', 'Roboto-Regular.ttf')
 
 font_cache = {}
 
